Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.management.configuration
Interface DomainMBean

public interface DomainMBean
extends TargetMBean

A WebLogic Domain.

A WebLogic Domain is a special target, the "Domain" target.

Field Summary
`static long` | `CACHING_STUB_SVUID`
`static java.lang.String` | `UPLOAD_DEFAULT`

Fields inherited from class weblogic.management.configuration.TargetMBean
`CACHING_STUB_SVUID`

Fields inherited from class weblogic.management.configuration.ConfigurationMBean
`CACHING_STUB_SVUID`

Method Summary
`void` | `discoverManagedServers()` Admin Server's knowledge of running Managed Servers is refreshed.
`int` | `getAdministrationPort()` The common secure administration port for the domain.
`java.lang.String` | `getConfigurationVersion()` The release identifier for the configuration.
`java.lang.String` | `getConsoleContextPath()` Specifies the context path for the WLS console.
`weblogic.management.configuration.EmbeddedLDAPMBean` | `getEmbeddedLDAP()` Returns the embedded LDAP configuration for this domain.
`JTAMBean` | `getJTA()` Return the JTA configuration for this Domain.
`long` | `getLastModificationTime()` Return the last time this domain was updated.
`LogMBean` | `getLog()` Return the domain logfile configuration for this domain.
`java.lang.String` | `getRootDirectory()` Return the root directory for the domain.
`SecurityMBean` | `getSecurity()` Return the (old) security configuration for this domain.
`SecurityConfigurationMBean` | `getSecurityConfiguration()` Return the (new) security configuration for this domain.
`ServerMBean[]` | `getServers()` Returns the ServerMBeans representing the servers that have been configured to be part of this domain.
`SNMPAgentMBean` | `getSNMPAgent()` Return the SNMPAgentMBean for this domain.
`WTCServerMBean[]` | `getWTCServers()` Return the WTCServerMBeans for this Domain.
`boolean` | `isAdministrationMBeanAuditingEnabled()` If AdministrationMBeanAuditingEnabled is set to true, the server(Admin) records all admin mbean operations.
`boolean` | `isAdministrationPortEnabled()` Indicates whether or not the administration port should be enabled for the domain.
`boolean` | `isConsoleEnabled()` Indicates whether the WLS console should be auto-deployed for this domain.
`boolean` | `isProductionModeEnabled()` Allows users to determine programmatically if the server was started in development or production mode.
`java.util.HashMap` | `kill()`
`void` | `setAdministrationMBeanAuditingEnabled(boolean choice)` Sets the administrationMBeanAuditingEnabled attribute of the DomainMBean object
`void` | `setAdministrationPort(int port)`
`void` | `setAdministrationPortEnabled(boolean enable)`
`void` | `setAutoConfigurationSaveEnabled(boolean choice)`
`void` | `setConfigurationVersion(java.lang.String version)`
`void` | `setConsoleContextPath(java.lang.String ctx)`
`void` | `setConsoleEnabled(boolean console)`
`java.util.HashMap` | `start()` These operations are used to start and forceShutdown all the servers belonging to the Domain.

Methods inherited from interface weblogic.management.configuration.TargetMBean
`setDeployments`

Methods inherited from interface weblogic.management.configuration.ConfigurationMBean
`addLinkMbeanAttribute, getNotes, isPersistenceEnabled, setNotes`

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setName, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preDeregister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Field Detail

### CACHING_STUB_SVUID

    public static final long CACHING_STUB_SVUID

### UPLOAD_DEFAULT

    public static final java.lang.String UPLOAD_DEFAULT

Method Detail

### getLastModificationTime

    public long getLastModificationTime()

  Return the last time this domain was updated. This is guaranteed to be unique for a given transactional modification.

### getSecurityConfiguration

    public SecurityConfigurationMBean getSecurityConfiguration()

  Return the (new) security configuration for this domain.

### getSecurity

    public SecurityMBean getSecurity()

  Return the (old) security configuration for this domain.

### getJTA

    public JTAMBean getJTA()

  Return the JTA configuration for this Domain.

### getWTCServers

    public WTCServerMBean[] getWTCServers()

  Return the WTCServerMBeans for this Domain.

### getLog

    public LogMBean getLog()

  Return the domain logfile configuration for this domain.

### getSNMPAgent

    public SNMPAgentMBean getSNMPAgent()

  Return the SNMPAgentMBean for this domain. This is a singleton MBean describing SNMP Agent configuration details. This MBean has getters and setters for other SNMP related configuration MBeans.

### getRootDirectory

    public java.lang.String getRootDirectory()

  Return the root directory for the domain. In other words for a server process [ServerMBean.getRootDirectory] or [ServerMBean.getDomainDirectory]

### discoverManagedServers

    public void discoverManagedServers()

  Admin Server's knowledge of running Managed Servers is refreshed. Particulary useful when Admin Server is re-started.

### isConsoleEnabled

    public boolean isConsoleEnabled()

  Indicates whether the WLS console should be auto-deployed for this domain.

  Default Value: true
  Secure Value: false

### setConsoleEnabled

    public void setConsoleEnabled(boolean console)

### getConsoleContextPath

    public java.lang.String getConsoleContextPath()

  Specifies the context path for the WLS console.

  Default Value: "console"

### setConsoleContextPath

    public void setConsoleContextPath(java.lang.String ctx)

### setAutoConfigurationSaveEnabled

    public void setAutoConfigurationSaveEnabled(boolean choice)

### getServers

    public ServerMBean[] getServers()

  Returns the ServerMBeans representing the servers that have been configured to be part of this domain.

### start

    public java.util.HashMap start()

  These operations are used to start and forceShutdown all the servers belonging to the Domain. HashMap contains references to TaskRuntimeMBeans corresponding to each server in the Domain, keyed using the server name.

### kill

    public java.util.HashMap kill()

### isProductionModeEnabled

    public boolean isProductionModeEnabled()

  Allows users to determine programmatically if the server was started in development or production mode.

### getEmbeddedLDAP

    public weblogic.management.configuration.EmbeddedLDAPMBean getEmbeddedLDAP()

  Returns the embedded LDAP configuration for this domain.

### isAdministrationPortEnabled

    public boolean isAdministrationPortEnabled()

  Indicates whether or not the administration port should be enabled for the domain. This will force all the servers in a domain to have the same view of setting up the server's administration port.

  Default Value: false
  Secure Value: true
  See Also:
    `getAdministrationPort()`, `ServerMBean.isAdministrationPortEnabled()`, `ServerMBean.getAdministrationPort()`, `KernelMBean.getSSL()`

### setAdministrationPortEnabled

    public void setAdministrationPortEnabled(boolean enable)
                                      throws javax.management.InvalidAttributeValueException

### getAdministrationPort

    public int getAdministrationPort()

  The common secure administration port for the domain. The administration port uses SSL so all the servers require to have SSL if the administration port is enabled in the domain. If administration port is enabled then each server in the same domain should setup a administration port either using the domain's administration port or overriding it by using the server's administration port The managed server will require to use -Dweblogic.management.server=https://admin_server:administration_port to connect to the admin server

  Default Value: 9002
  Legal Minimum Value: 1
  Legal Maximum Value: 65534
  See Also:
    `isAdministrationPortEnabled()`, `ServerMBean.isAdministrationPortEnabled()`, `ServerMBean.getAdministrationPort()`, `KernelMBean.getSSL()`

### setAdministrationPort

    public void setAdministrationPort(int port)
                               throws javax.management.InvalidAttributeValueException

### getConfigurationVersion

    public java.lang.String getConfigurationVersion()

  The release identifier for the configuration. This identifier will be used to indicate the version of the configuration. All server generated configurations will be established with the release identifier of the running server. The form of the version is major.minor.servicepack.rollingpatch. Not all parts of the version are required. i.e. "7" is acceptable.

  Default Value: null

### setConfigurationVersion

    public void setConfigurationVersion(java.lang.String version)

### isAdministrationMBeanAuditingEnabled

    public boolean isAdministrationMBeanAuditingEnabled()

  If AdministrationMBeanAuditingEnabled is set to true, the server(Admin) records all admin mbean operations.

  Default Value: false
  Returns:
    The administrationMBeanAuditingEnabled value

### setAdministrationMBeanAuditingEnabled

    public void setAdministrationMBeanAuditingEnabled(boolean choice)

  Sets the administrationMBeanAuditingEnabled attribute of the DomainMBean object

  Parameters:
    `choice` - The new administrationMBeanAuditingEnabled value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference